Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.rhino.worker
[Java] Class RhinoWorkerSpec

    java.lang.Object
      org.gradle.plugins.javascript.rhino.worker.RhinoWorkerSpec

All Implemented Interfaces:
  Serializable

    public class RhinoWorkerSpec

Constructor Summary
`RhinoWorkerSpec(Class resultType, Class payloadType, Class workerType)`

Method Summary
`Class` | `getPayloadType()`
`Class` | `getResultType()`
`Class` | `getWorkerType()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### RhinoWorkerSpec

    public RhinoWorkerSpec(Class resultType, Class payloadType, Class workerType)

Method Detail

### getPayloadType

    public Class getPayloadType()

### getResultType

    public Class getResultType()

### getWorkerType

    public Class getWorkerType()

Gradle API 1.10